imported>Dawning
mNo edit summary
imported>Dawning
m Reverted edits by Dawning (talk) to last revision by RheingoldRiver
Line 1: Line 1:
/* CSS placed here will be applied to all skins */
/* CSS placed here will be applied to all skins */


@import url('https://fonts.googleapis.com/css2?family=Outfit:[email protected]&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Gabarito:[email protected]&display=swap');
:root,
:root,
.view-light {
    --wiki-body-background-image: none;
    --wiki-body-background-color: #f6f6f6;
    --wiki-body-background-color--rgb: 246,246,246;
    --wiki-body-dynamic-color: #000000;
    --wiki-body-dynamic-color--rgb: 0,0,0;
    --wiki-body-dynamic-color--inverted: #ffffff;
    --wiki-body-dynamic-color--inverted--rgb: 255,255,255;
    --wiki-body-dynamic-color--secondary: #333333;
    --wiki-body-dynamic-color--secondary--rgb: 51,51,51;
    --wiki-body-dynamic-color--secondary--inverted: #dddddd;
    --wiki-body-dynamic-color--secondary--inverted--rgb: 221,221,221;
    --wiki-body-font-family: sans-serif;
   
    --wiki-content-background-color: #ffffff;
    --wiki-content-background-color--rgb: 255, 255, 255;
    --wiki-content-background-opacity: 1;
    --wiki-content-background-color--secondary: #fbfbfb;
    --wiki-content-background-color--secondary--rgb: 251, 251, 251;
    --wiki-content-border-color: #a7d7f9;
    --wiki-content-border-color--rgb: 167, 215, 249;
    --wiki-content-text-color: #111111;
    --wiki-content-text-color--rgb: 17, 17, 17;
    --wiki-content-link-color: #0645ad;
    --wiki-content-link-color--rgb: 6, 69, 173;
    --wiki-content-link-label-color: #ffffff;
    --wiki-content-link-label-color--rgb: 255,255,255;
    --wiki-content-link-color--visited: var(--wiki-content-link-color);
    --wiki-content-link-color--visited--rgb: var(--wiki-content-link-color--rgb);
    --wiki-content-link-color--hover: var(--wiki-content-link-color);
    --wiki-content-link-color--hover--rgb: var(--wiki-content-link-color--rgb);
    --wiki-content-redlink-color: #ba0000;
    --wiki-content-redlink-color--rgb: 186,0,0;
    --wiki-content-text-mix-color: #8a8b8b;
    --wiki-content-text-mix-color--rgb: 138,139,139;
    --wiki-content-text-mix-color-95: #eef0f0;
    --wiki-content-text-mix-color-95--rgb: 238,240,240;
    --wiki-content-dynamic-color: #000000;
    --wiki-content-dynamic-color--rgb: 0,0,0;
    --wiki-content-dynamic-color--inverted: #ffffff;
    --wiki-content-dynamic-color--inverted--rgb: 255,255,255;
    --wiki-content-dynamic-color--secondary: #333333;
    --wiki-content-dynamic-color--secondary--rgb: 51,51,51;
    --wiki-content-dynamic-color--secondary--inverted: #dddddd;
    --wiki-content-dynamic-color--secondary--inverted--rgb: 221,221,221;
    --wiki-heading-color: var(--wiki-content-text-color);
    --wiki-heading-color--rgb: var(--wiki-content-text-color--rgb);
    --wiki-heading-font-family: 'Linux Libertine','Georgia','Times',serif;
    --wiki-accent-color: #3366cc;
    --wiki-accent-color--rgb: 51, 102, 204;
    --wiki-accent-color--hover: #447ff5;
    --wiki-accent-color--hover--rgb: 68, 127, 245;
    --wiki-accent-label-color: #ffffff;
    --wiki-accent-label-color--rgb: 255, 255, 255;
    --wiki-accent-link-color: #22214d;
    --wiki-accent-link-color--rgb: 34, 33, 77;
    --wiki-sidebar-background-color: var(--wiki-content-background-color);
    --wiki-sidebar-background-color--rgb: var(--wiki-content-background-color--rgb);
    --wiki-sidebar-background-opacity: 0.0;
    --wiki-sidebar-border-color: var(--wiki-body-background-color);
    --wiki-sidebar-border-color--rgb: var(--wiki-body-background-color--rgb);
    --wiki-sidebar-link-color: var(--wiki-content-link-color);
    --wiki-sidebar-link-color--rgb: var(--wiki-content-link-color--rgb);
    --wiki-sidebar-heading-color: var(--wiki-heading-color);
    --wiki-sidebar-heading-color--rgb: var(--wiki-heading-color--rgb);
    --wiki-navigation-background-color: #e8f2f8;
    --wiki-navigation-background-color--rgb: 232, 242, 248;
    --wiki-navigation-background-color--secondary: var(--wiki-content-background-color);
    --wiki-navigation-background-color--secondary--rgb: var(--wiki-content-background-color--rgb);
    --wiki-navigation-border-color: var(--wiki-content-border-color);
    --wiki-navigation-border-color--rgb: var(--wiki-content-border-color--rgb);
    --wiki-navigation-text-color: var(--wiki-content-link-color);
    --wiki-navigation-text-color--rgb: var(--wiki-content-link-color--rgb);
    --wiki-navigation-selected-background-color: var(--wiki-content-background-color);
    --wiki-navigation-selected-background-color--rgb: var(--wiki-content-background-color--rgb);
    --wiki-navigation-selected-border-color: var(--wiki-navigation-border-color);
    --wiki-navigation-selected-border-color--rgb: var(--wiki-navigation-border-color--rgb);
    --wiki-navigation-selected-text-color: var(--wiki-content-text-color);
    --wiki-navigation-selected-text-color-rgb: var(--wiki-content-text-color--rgb);
    --wiki-alert-color: #bf0017;
    --wiki-alert-color--rgb: 191,0,23;
    --wiki-alert-label-color: #ffffff;
    --wiki-alert-label-color--rgb: 255, 255, 255;
    --wiki-warning-color: #cf721c;
    --wiki-warning-color--rgb: 207,114,28;
    --wiki-warning-label-color: #000000;
    --wiki-warning-label-color--rgb: 0, 0, 0;
    --wiki-success-color: #0c742f;
    --wiki-success-color--rgb: 12,116,47;
    --wiki-success-label-color: #ffffff;
    --wiki-success-label-color--rgb: 255, 255, 255;
   
    --wiki-icon-general-filter: ;
    --wiki-icon-to-link-filter: invert(20%) sepia(93%) saturate(2141%) hue-rotate(210deg) brightness(83%) contrast(103%);
}
.view-dark {
.view-dark {
     --wiki-body-background-image: none;
     --wiki-body-background-image: none;
     --wiki-body-background-color: #343434;
     --wiki-body-background-color: #171717;
     --wiki-body-background-color--rgb: 52,52,52;
     --wiki-body-background-color--rgb: 23, 23, 23;
     --wiki-body-dynamic-color: #ffffff;
     --wiki-body-dynamic-color: #ffffff;
     --wiki-body-dynamic-color--rgb: 255,255,255;
     --wiki-body-dynamic-color--rgb: 255,255,255;
Line 16: Line 115:
     --wiki-body-dynamic-color--secondary--inverted: #333333;
     --wiki-body-dynamic-color--secondary--inverted: #333333;
     --wiki-body-dynamic-color--secondary--inverted--rgb: 51,51,51;
     --wiki-body-dynamic-color--secondary--inverted--rgb: 51,51,51;
     --wiki-body-font-family: "Outfit", Arial, sans-serif;
     --wiki-body-font-family: sans-serif;
      
      
     --wiki-content-background-color: #520e0e;
     --wiki-content-background-color: #202020;
     --wiki-content-background-color--rgb: 82,14,14;
     --wiki-content-background-color--rgb: 32,32,32;
     --wiki-content-background-opacity: 1.0;
     --wiki-content-background-opacity: 1.0;
     --wiki-content-background-color--secondary: #1b1b1b;
     --wiki-content-background-color--secondary: #2b2b2b;
     --wiki-content-background-color--secondary--rgb: 11,0,0;
     --wiki-content-background-color--secondary--rgb: 43,43,43;
     --wiki-content-border-color: #ccc0c0;
     --wiki-content-border-color: #991A51;
     --wiki-content-border-color--rgb: 204,192,192;
     --wiki-content-border-color--rgb: 153,26,81;
     --wiki-content-text-color: #ededed;
     --wiki-content-text-color: #ededed;
     --wiki-content-text-color--rgb: 237,237,237;
     --wiki-content-text-color--rgb: 237,237,237;
     --wiki-content-link-color: #cc8a8a;
     --wiki-content-link-color: #6d8afb;
     --wiki-content-link-color--rgb: 204,139,139;
     --wiki-content-link-color--rgb: 109,138,251;
     --wiki-content-link-label-color: #0b101b;
     --wiki-content-link-label-color: #000;
     --wiki-content-link-label-color--rgb: 11,16,27;
     --wiki-content-link-label-color--rgb: 0,0,0;
     --wiki-content-link-color--visited: var(--wiki-content-link-color);
     --wiki-content-link-color--visited: var(--wiki-content-link-color);
     --wiki-content-link-color--visited--rgb: var(--wiki-content-link-color--rgb);
     --wiki-content-link-color--visited--rgb: var(--wiki-content-link-color--rgb);
     --wiki-content-link-color--hover: var(--wiki-content-link-color);
     --wiki-content-link-color--hover: var(--wiki-content-link-color);
     --wiki-content-link-color--hover--rgb: var(--wiki-content-link-color--rgb);
     --wiki-content-link-color--hover--rgb: var(--wiki-content-link-color--rgb);
     --wiki-content-redlink-color: #902f2f;
     --wiki-content-redlink-color: #FC3B2C;
     --wiki-content-redlink-color--rgb: 144,47,47;
     --wiki-content-redlink-color--rgb: 252,59,44;
     --wiki-content-text-mix-color: #868686;
     --wiki-content-text-mix-color: #868686;
     --wiki-content-text-mix-color--rgb: 134,134,134;
     --wiki-content-text-mix-color--rgb: 134,134,134;
Line 52: Line 151:
     --wiki-heading-color:  var(--wiki-content-text-color);
     --wiki-heading-color:  var(--wiki-content-text-color);
     --wiki-heading-color--rgb: var(--wiki-content-text-color--rgb);
     --wiki-heading-color--rgb: var(--wiki-content-text-color--rgb);
     --wiki-heading-font-family: 'Gabarito',serif;
     --wiki-heading-font-family: 'Linux Libertine','Georgia','Times',serif;


     --wiki-accent-color: #7d1f1f;
     --wiki-accent-color: #ff1980;
     --wiki-accent-color--rgb: 125,31,31;
     --wiki-accent-color--rgb: 255,25,128;
     --wiki-accent-color--hover: #8e2222;
     --wiki-accent-color--hover: #D82073;
     --wiki-accent-color--hover--rgb: 142,34,34;
     --wiki-accent-color--hover--rgb: 216,32,115;
     --wiki-accent-label-color: #0b101b;
     --wiki-accent-label-color: #000;
     --wiki-accent-label-color--rgb: 11,16,27;
     --wiki-accent-label-color--rgb: 0,0,0;
     --wiki-accent-link-color: #22214d;
     --wiki-accent-link-color: #22214d;
     --wiki-accent-link-color--rgb: 34, 33, 77;
     --wiki-accent-link-color--rgb: 34, 33, 77;
Line 126: Line 225:
.portable-infobox .pi-data {
.portable-infobox .pi-data {
background:rgba(var(--pi-secondary-background--rgb), 0.18);
background:rgba(var(--pi-secondary-background--rgb), 0.18);
font-size: 115%;
word-wrap: normal;
}
/*************************************************
.tiered1 .portable-infobox{
}
.tiered2 .portable-infobox{
}
.tiered3 .portable-infobox{
}
.tiered4 .portable-infobox{
}
.tiered5 .portable-infobox{
}
.tiered6 .portable-infobox{
}
.tiered7 .portable-infobox{
}
.tiered8 .portable-infobox{
}
.tiered9 .portable-infobox{
}
.tiered10 .portable-infobox{
}
.tiered11 .portable-infobox{
}
.companion .portable-infobox{
}
.irradiated .portable-infobox{
}
.royal .portable-infobox{
}
.bloodshot .portable-infobox{
}
.cross .portable-infobox{
}
********************************/
.miniboss-box .portable-infobox {
box-shadow: 3px 3px 6px var(--wiki-content-border-color);
}
}


Line 218: Line 245:
.mw-body .portable-infobox h2,
.mw-body .portable-infobox h2,
.mw-body .portable-infobox h3 {
.mw-body .portable-infobox h3 {
text-shadow: 2px 2px var(--wiki-accent-color);
border-bottom: 0;
border-bottom: 0;
font-family: var(--wiki-heading-font-family);
font-family: inherit;
font-weight: 550;
font-weight: 700;
margin: 0;
margin: 0;
word-wrap: normal;
}
.mw-body .portable-infobox h3 {
text-shadow: 1px 1px gray !important;
font-size: 80%;
font-weight: 500;
}
}
/*****************************
/*****************************
Line 347: Line 366:
clear: both;
clear: both;
margin: 1em 0;
margin: 1em 0;
padding: 0.3%;
padding: 3px;
font-size: 115%;
font-size: 90%;
width: 100%;
width: 100%;
border: 1px solid var(--wiki-content-border-color);
border: 1px solid var(--wiki-content-border-color);
box-sizing: border-box;
box-sizing: border-box;
}
}
.navbox-inner,
.navbox-inner,
Line 622: Line 640:
     overflow: initial;
     overflow: initial;
border-bottom: 1px solid var(--wiki-content-border-color);
border-bottom: 1px solid var(--wiki-content-border-color);
font-size: 200%;
font-size: 150%;
margin: 0;
margin: 0;
margin-bottom: 2%;
padding: 5px 0;
padding: 5px 0;
color:var(--wiki-heading-color);
color:var(--wiki-heading-color);
Line 686: Line 703:
.mp-links {
.mp-links {
   --gap:10px;
   --gap:10px;
  font-size: 150%;
}
}


Line 761: Line 777:
flex: 1;
flex: 1;
     min-width: fit-content;
     min-width: fit-content;
}
.mp-iconlist {
font-size: 140%;
}
}


Line 1,221: Line 1,233:
* End Modular Templates *
* End Modular Templates *
*************************/
*************************/
.infoflex {
float: left;
padding: 0.5%;
display: flex;
flex-wrap: wrap;
}
.special-header1 {
font-family: var(--wiki-heading-font-family);
font-size: 200%;
text-shadow: 1px 1px var(--wiki-accent-color);
border: 3px inset var(--wiki-content-border-color);
justify-content: center;
width: fit-content;
display: block;
    margin-left: auto;
    margin-right: auto;
    margin-bottom: 2%;
    padding: 0.5%;
}
.special-header1 .dungeon-links {
font-family: var(--wiki-heading-font-family);
font-size: 200%;
text-shadow: 1px 1px var(--wiki-accent-color);
justify-content: center;
width: fit-content;
display: block;
    margin-left: auto;
    margin-right: auto;
    margin-bottom: 2%;
    padding: 2%;
}
h2 {
text-shadow: 1px 1px gray;
}
h1 {
text-shadow: 1px 1px gray;
}
.page-box {
display: flex;
flex-flow:column nowrap;
width: calc(100% - 2px);
box-sizing: border-box;
background:rgba(var(--wiki-content-background-color--secondary--rgb), 0.25);
border: 3px solid;
border-image: linear-gradient(#ccc0c0, #948b8b);
border-image-repeat: stretch;
border-image-slice: 10%;
border-image-outset: 2px;
border-radius: 40px;
padding:0;
}
.page-box h2 {
text-align:center;
font-weight:bold;
font-family:var(--wiki-heading-font-family);
    overflow: initial;
border-bottom: 1px solid var(--wiki-content-border-color);
font-size: 200%;
margin-left: 1%;
margin-right: 1%;
margin-bottom: 2%;
padding: 5px 0;
color:var(--wiki-heading-color);
}
.button-expand-header {
  white-space: nowrap;
  text-align: center;
  background-color: rgba(var(--wiki-accent-color--rgb),0.5);
  border-radius: 10px;
  text-shadow: 2px 2px black;
  box-shadow: 3px 3px 6px rgba(var(--wiki-content-border-color--rgb),0.1);
  transition: 0.8s ease-out background-color;
}
.button-expand-header:hover {
background-color: rgba(var(--wiki-accent-color--rgb),0.8);
}
.button-expand-header span {
  cursor: pointer;
  display: inline-block;
  position: relative;
  transition: 0.5s;
}
.button-expand-header span:after {
  content: '  \27F7';
  position: relative;
  opacity: 0;
  top: 0;
  right: -20px;
  transition: 0.5s;
}
.button-expand-header:hover span {
  padding-right: 25px;
}
.button-expand-header:hover span:after {
  opacity: 1;
  right: 0;
}
.button-expand-header .button-ut {
box-shadow: 3px 3px 6px rgba(var(--wiki-content-border-color--rgb),0.6);
}
/***************************************************************************************************************************
*****************************************************************************************************************************/
.page-box .button-expand-body {
  white-space: nowrap;
  text-align: center;
  justify-content: space-evenly;
  background-color: rgba(var(--wiki-accent-color--rgb),0.5);
  width: auto;
  padding: 15 20px;
  border-bottom: 0;
  border-radius: 10px 20px;
  text-shadow: 2px 2px black;
  box-shadow: 3px 3px 6px rgba(var(--wiki-content-border-color--rgb),0.1);
  transition: 0.8s ease-out background-color;
}
/*******************************************/
.button-expand-body span {
  cursor: pointer;
  display: inline-block;
  position: relative;
  transition: 0.5s;
}
.button-expand-body span:after {
  content: '  \27F7';
  position: relative;
  opacity: 0;
  top: 0;
  right: -20px;
  transition: 0.5s;
}
.button-expand-body:hover span {
  padding-right: 25px;
}
.button-expand-body:hover span:after {
  opacity: 1;
  right: 0;
}
.button-expand-body:hover {
background-color: rgba(var(--wiki-accent-color--rgb),0.8);
}
.button-expand-body .button-ut {
box-shadow: 3px 3px 6px rgba(var(--wiki-content-border-color--rgb),0.6);
}
.class-box {
justify-content: center;
padding: 0 4%;
border: 3px inset var(--wiki-content-border-color);
}
.hover-reveal {
display: flex;
white-space: pre-line;
text-align: justify;
color: transparent;
background-image: radial-gradient(#eafe54, #e78304);
border-radius: 20px;
transition: 0.5s;
width: auto;
height: auto;
}
.hover-reveal:hover {
display: flex;
white-space: pre-line;
text-align: justify;
color: inherit;
background-image: radial-gradient(rgba(234, 254, 84, 0.1), rgba(231, 131, 4, 0.1));
width: auto;
height: auto;
}

Revision as of 03:51, 22 October 2024

/* CSS placed here will be applied to all skins */

:root,
.view-light {
    --wiki-body-background-image: none;
    --wiki-body-background-color: #f6f6f6;
    --wiki-body-background-color--rgb: 246,246,246;
    --wiki-body-dynamic-color: #000000;
    --wiki-body-dynamic-color--rgb: 0,0,0;
    --wiki-body-dynamic-color--inverted: #ffffff;
    --wiki-body-dynamic-color--inverted--rgb: 255,255,255;
    --wiki-body-dynamic-color--secondary: #333333;
    --wiki-body-dynamic-color--secondary--rgb: 51,51,51;
    --wiki-body-dynamic-color--secondary--inverted: #dddddd;
    --wiki-body-dynamic-color--secondary--inverted--rgb: 221,221,221;
    --wiki-body-font-family: sans-serif;
    
    --wiki-content-background-color: #ffffff;
    --wiki-content-background-color--rgb: 255, 255, 255;
    --wiki-content-background-opacity: 1;
    --wiki-content-background-color--secondary: #fbfbfb;
    --wiki-content-background-color--secondary--rgb: 251, 251, 251;
    --wiki-content-border-color: #a7d7f9;
    --wiki-content-border-color--rgb: 167, 215, 249;
    --wiki-content-text-color: #111111;
    --wiki-content-text-color--rgb: 17, 17, 17;
    --wiki-content-link-color: #0645ad;
    --wiki-content-link-color--rgb: 6, 69, 173;
    --wiki-content-link-label-color: #ffffff;
    --wiki-content-link-label-color--rgb: 255,255,255;
    --wiki-content-link-color--visited: var(--wiki-content-link-color);
    --wiki-content-link-color--visited--rgb: var(--wiki-content-link-color--rgb);
    --wiki-content-link-color--hover: var(--wiki-content-link-color);
    --wiki-content-link-color--hover--rgb: var(--wiki-content-link-color--rgb);
    --wiki-content-redlink-color: #ba0000;
    --wiki-content-redlink-color--rgb: 186,0,0;
    --wiki-content-text-mix-color: #8a8b8b;
    --wiki-content-text-mix-color--rgb: 138,139,139;
    --wiki-content-text-mix-color-95: #eef0f0;
    --wiki-content-text-mix-color-95--rgb: 238,240,240;
    --wiki-content-dynamic-color: #000000;
    --wiki-content-dynamic-color--rgb: 0,0,0;
    --wiki-content-dynamic-color--inverted: #ffffff;
    --wiki-content-dynamic-color--inverted--rgb: 255,255,255;
    --wiki-content-dynamic-color--secondary: #333333;
    --wiki-content-dynamic-color--secondary--rgb: 51,51,51;
    --wiki-content-dynamic-color--secondary--inverted: #dddddd;
    --wiki-content-dynamic-color--secondary--inverted--rgb: 221,221,221;

    --wiki-heading-color: var(--wiki-content-text-color);
    --wiki-heading-color--rgb: var(--wiki-content-text-color--rgb);
    --wiki-heading-font-family: 'Linux Libertine','Georgia','Times',serif;

    --wiki-accent-color: #3366cc;
    --wiki-accent-color--rgb: 51, 102, 204;
    --wiki-accent-color--hover: #447ff5;
    --wiki-accent-color--hover--rgb: 68, 127, 245; 
    --wiki-accent-label-color: #ffffff;
    --wiki-accent-label-color--rgb: 255, 255, 255;
    --wiki-accent-link-color: #22214d;
    --wiki-accent-link-color--rgb: 34, 33, 77;

    --wiki-sidebar-background-color: var(--wiki-content-background-color);
    --wiki-sidebar-background-color--rgb: var(--wiki-content-background-color--rgb);
    --wiki-sidebar-background-opacity: 0.0;
    --wiki-sidebar-border-color: var(--wiki-body-background-color);
    --wiki-sidebar-border-color--rgb: var(--wiki-body-background-color--rgb);
    --wiki-sidebar-link-color: var(--wiki-content-link-color);
    --wiki-sidebar-link-color--rgb: var(--wiki-content-link-color--rgb);
    --wiki-sidebar-heading-color: var(--wiki-heading-color);
    --wiki-sidebar-heading-color--rgb: var(--wiki-heading-color--rgb);

    --wiki-navigation-background-color: #e8f2f8;
    --wiki-navigation-background-color--rgb: 232, 242, 248;
    --wiki-navigation-background-color--secondary: var(--wiki-content-background-color);
    --wiki-navigation-background-color--secondary--rgb: var(--wiki-content-background-color--rgb);
    --wiki-navigation-border-color: var(--wiki-content-border-color);
    --wiki-navigation-border-color--rgb: var(--wiki-content-border-color--rgb);
    --wiki-navigation-text-color: var(--wiki-content-link-color);
    --wiki-navigation-text-color--rgb: var(--wiki-content-link-color--rgb);
    --wiki-navigation-selected-background-color: var(--wiki-content-background-color);
    --wiki-navigation-selected-background-color--rgb: var(--wiki-content-background-color--rgb);
    --wiki-navigation-selected-border-color: var(--wiki-navigation-border-color);
    --wiki-navigation-selected-border-color--rgb: var(--wiki-navigation-border-color--rgb);
    --wiki-navigation-selected-text-color: var(--wiki-content-text-color);
    --wiki-navigation-selected-text-color-rgb: var(--wiki-content-text-color--rgb);

    --wiki-alert-color: #bf0017;
    --wiki-alert-color--rgb: 191,0,23;
    --wiki-alert-label-color: #ffffff;
    --wiki-alert-label-color--rgb: 255, 255, 255;
    --wiki-warning-color: #cf721c;
    --wiki-warning-color--rgb: 207,114,28;
    --wiki-warning-label-color: #000000;
    --wiki-warning-label-color--rgb: 0, 0, 0;
    --wiki-success-color: #0c742f;
    --wiki-success-color--rgb: 12,116,47;
    --wiki-success-label-color: #ffffff;
    --wiki-success-label-color--rgb: 255, 255, 255;
    
    --wiki-icon-general-filter: ;
    --wiki-icon-to-link-filter: invert(20%) sepia(93%) saturate(2141%) hue-rotate(210deg) brightness(83%) contrast(103%);
}

.view-dark {
    --wiki-body-background-image: none;
    --wiki-body-background-color: #171717;
    --wiki-body-background-color--rgb: 23, 23, 23;
    --wiki-body-dynamic-color: #ffffff;
    --wiki-body-dynamic-color--rgb: 255,255,255;
    --wiki-body-dynamic-color--inverted: #000000;
    --wiki-body-dynamic-color--inverted--rgb: 0,0,0;
    --wiki-body-dynamic-color--secondary: #dddddd;
    --wiki-body-dynamic-color--secondary--rgb: 221,221,221;
    --wiki-body-dynamic-color--secondary--inverted: #333333;
    --wiki-body-dynamic-color--secondary--inverted--rgb: 51,51,51;
    --wiki-body-font-family: sans-serif;
    
    --wiki-content-background-color: #202020;
    --wiki-content-background-color--rgb: 32,32,32;
    --wiki-content-background-opacity: 1.0;
    --wiki-content-background-color--secondary: #2b2b2b;
    --wiki-content-background-color--secondary--rgb: 43,43,43;
    --wiki-content-border-color: #991A51;
    --wiki-content-border-color--rgb: 153,26,81;
    --wiki-content-text-color: #ededed;
    --wiki-content-text-color--rgb: 237,237,237;
    --wiki-content-link-color: #6d8afb;
    --wiki-content-link-color--rgb: 109,138,251;
    --wiki-content-link-label-color: #000;
    --wiki-content-link-label-color--rgb: 0,0,0;
    --wiki-content-link-color--visited: var(--wiki-content-link-color);
    --wiki-content-link-color--visited--rgb: var(--wiki-content-link-color--rgb);
    --wiki-content-link-color--hover: var(--wiki-content-link-color);
    --wiki-content-link-color--hover--rgb: var(--wiki-content-link-color--rgb);
    --wiki-content-redlink-color: #FC3B2C;
    --wiki-content-redlink-color--rgb: 252,59,44;
    --wiki-content-text-mix-color: #868686;
    --wiki-content-text-mix-color--rgb: 134,134,134;
    --wiki-content-text-mix-color-95: #2a2a2a;
    --wiki-content-text-mix-color-95--rgb: 42,42,42;
    --wiki-content-dynamic-color: #ffffff;
    --wiki-content-dynamic-color--rgb: 255, 255, 255;
    --wiki-content-dynamic-color--inverted: #000000;
    --wiki-content-dynamic-color--inverted--rgb: 0, 0, 0;
    --wiki-content-dynamic-color--secondary: #dddddd;
    --wiki-content-dynamic-color--secondary--rgb: 221, 221, 221;
    --wiki-content-dynamic-color--secondary--inverted: #333333;
    --wiki-content-dynamic-color--secondary--inverted--rgb: 51, 51, 51;

    --wiki-heading-color:  var(--wiki-content-text-color);
    --wiki-heading-color--rgb: var(--wiki-content-text-color--rgb);
    --wiki-heading-font-family: 'Linux Libertine','Georgia','Times',serif;

    --wiki-accent-color: #ff1980;
    --wiki-accent-color--rgb: 255,25,128;
    --wiki-accent-color--hover: #D82073;
    --wiki-accent-color--hover--rgb: 216,32,115;
    --wiki-accent-label-color: #000;
    --wiki-accent-label-color--rgb: 0,0,0;
    --wiki-accent-link-color: #22214d;
    --wiki-accent-link-color--rgb: 34, 33, 77;

    --wiki-sidebar-background-color: var(--wiki-content-background-color);
    --wiki-sidebar-background-color--rgb: var(--wiki-content-background-color--rgb);
    --wiki-sidebar-background-opacity: var(--wiki-content-background-opacity);
    --wiki-sidebar-border-color: var(--wiki-content-border-color);
    --wiki-sidebar-border-color--rgb: var(--wiki-content-border-color--rgb);
    --wiki-sidebar-link-color: var(--wiki-content-link-color);
    --wiki-sidebar-link-color--rgb: var(--wiki-content-link-color--rgb);
    --wiki-sidebar-heading-color: var(--wiki-heading-color);
    --wiki-sidebar-heading-color--rgb: var(--wiki-heading-color--rgb);

    --wiki-navigation-background-color: var(--wiki-content-background-color--secondary);
    --wiki-navigation-background-color--rgb: var(--wiki-content-background-color--secondary--rgb);
    --wiki-navigation-background-color--secondary: var(--wiki-content-background-color);
    --wiki-navigation-background-color--secondary--rgb: var(--wiki-content-background-color--rgb);
    --wiki-navigation-border-color: var(--wiki-content-border-color);
    --wiki-navigation-border-color--rgb: var(--wiki-content-border-color--rgb);
    --wiki-navigation-text-color: var(--wiki-content-link-color);
    --wiki-navigation-text-color--rgb: var(--wiki-content-link-color--rgb);
    --wiki-navigation-selected-background-color: var(--wiki-content-background-color);
    --wiki-navigation-selected-background-color--rgb: var(--wiki-content-background-color--rgb);
    --wiki-navigation-selected-border-color: var(--wiki-navigation-border-color);
    --wiki-navigation-selected-border-color--rgb: var(--wiki-navigation-border-color--rgb);
    --wiki-navigation-selected-text-color: var(--wiki-content-text-color);
    --wiki-navigation-selected-text-color-rgb: var(--wiki-content-text-color--rgb);

    --wiki-alert-color: #ce0018;
    --wiki-alert-color--rgb: 206,0,24;
    --wiki-alert-label-color: #000000;
    --wiki-alert-label-color--rgb: 0,0,0;
    --wiki-warning-color:#cf721c;
    --wiki-warning-color--rgb: 207,114,28;
    --wiki-warning-label-color: #000000;
    --wiki-warning-label-color--rgb: 0, 0, 0;
    --wiki-success-color: #0c742f;
    --wiki-success-color--rgb: 12,116,47;
    --wiki-success-label-color: #000000;
    --wiki-success-label-color--rgb: 0,0,0;
    
    --wiki-icon-general-filter: invert(100%);
    --wiki-icon-to-link-filter: invert(60%) sepia(70%) saturate(3715%) hue-rotate(206deg) brightness(101%) contrast(97%);
}

/*****************************
*     PortableInfoboxes      *
******************************/
:root {
	--pi-background: var(--wiki-content-background-color);
	--pi-secondary-background: var(--wiki-accent-color);
	--pi-secondary-background--rgb: var(--wiki-accent-color--rgb);
	--pi-secondary-background-label: var(--wiki-accent-label-color);
	--pi-border-color: rgba(var(--pi-secondary-background--rgb),0.5);
}

.portable-infobox .pi-title,
.portable-infobox .pi-header {
	text-align:center;
	font-size:1.5em;
	background:rgba(var(--pi-secondary-background--rgb), 0.75);
	color:var(--pi-secondary-background-label);
}

.portable-infobox .pi-data {
	background:rgba(var(--pi-secondary-background--rgb), 0.18);
}

.portable-infobox .pi-image {
	padding: 8px;
}

.pi-image-thumbnail {
	max-width:100%;
}

.pi-section-navigation .pi-section-tab.pi-section-active,
.pi-section-navigation .pi-section-tab.current,
.pi-media-collection .pi-tab-link.current {
	background: var(--pi-secondary-background);
	color: var(--pi-secondary-background-label);
}

/* overqualify these to overwrite normal content heading styles */
.mw-body .portable-infobox h2,
.mw-body .portable-infobox h3 {
	border-bottom: 0;
	font-family: inherit;
	font-weight: 700;
	margin: 0;
}
/*****************************
*   End PortableInfoboxes    *
******************************/

/*********************************************************************************************************************
* Semantically-correct horizontal lists (for Module:Navbox, and they're more machine-readable than {{*}}-formatting) *
**********************************************************************************************************************/
.hlist dl,
.hlist ol,
.hlist ul {
	margin: 0;
	padding: 0;
}

/* Display list items inline */
.hlist dd,
.hlist dt,
.hlist li {
	/*
	 * don't trust the note that says margin doesn't work with inline
	 * removing margin: 0 makes dds have margins again
	 * We also want to reset margin-right in Minerva
	 */
	margin: 0; 
	display: inline;
}

/* Display requested top-level lists inline */
.hlist.inline,
.hlist.inline dl,
.hlist.inline ol,
.hlist.inline ul,
/* Display nested lists inline */
.hlist dl dl,
.hlist dl ol,
.hlist dl ul,
.hlist ol dl,
.hlist ol ol,
.hlist ol ul,
.hlist ul dl,
.hlist ul ol,
.hlist ul ul {
	display: inline;
}

/* Hide empty list items */
.hlist .mw-empty-li {
	display: none;
}

/* TODO: :not() can maybe be used here to remove the later rule. naive test
 * seems to work. more testing needed. like so: */
.hlist dt:not(:last-child)::after {
	content: ": ";
}
.hlist dd:not(:last-child)::after,
.hlist li:not(:last-child)::after {
	content: " \00B7 ";;
	font-weight: bold;
}

/* Add parentheses around nested lists */
.hlist dd dd:first-child::before,
.hlist dd dt:first-child::before,
.hlist dd li:first-child::before,
.hlist dt dd:first-child::before,
.hlist dt dt:first-child::before,
.hlist dt li:first-child::before,
.hlist li dd:first-child::before,
.hlist li dt:first-child::before,
.hlist li li:first-child::before {
	content: " (";
	font-weight: normal;
}

.hlist dd dd:last-child::after,
.hlist dd dt:last-child::after,
.hlist dd li:last-child::after,
.hlist dt dd:last-child::after,
.hlist dt dt:last-child::after,
.hlist dt li:last-child::after,
.hlist li dd:last-child::after,
.hlist li dt:last-child::after,
.hlist li li:last-child::after {
	content: ")";
	font-weight: normal;
}

/* Put ordinals in front of ordered list items */
.hlist ol {
	counter-reset: listitem;
}

.hlist ol > li {
	counter-increment: listitem;
}

.hlist ol > li::before {
	content: " " counter(listitem) "\a0";
}

.hlist dd ol > li:first-child::before,
.hlist dt ol > li:first-child::before,
.hlist li ol > li:first-child::before {
	content: " (" counter(listitem) "\a0";
}
/********************************************
* End semantically-correct horizontal lists *
*********************************************/

/**********************************************************
* Template:Navbox (needs semantic horizontal lists above) *
***********************************************************/
.navbox {
	clear: both;
	margin: 1em 0;
	padding: 3px;
	font-size: 90%;
	width: 100%;
	border: 1px solid var(--wiki-content-border-color);
	box-sizing: border-box;
}
.navbox-inner,
.navbox-subgroup {
	border-spacing: 0;
	width: 100%;
}
/* Reduce spacing between adjacent navboxes */
.navbox + .navbox {
	margin-top: -1px;
}
/* Spacing between rows */
.navbox-spacer {
	height: 2px;
}
/* Title bars and labels */
.navbox-title {
	font-weight: bold;
	font-size: 115%;
	padding: 0.25em 0.6em;
	line-height: 1.5em;
	color: var(--wiki-accent-label-color);
	background: var(--wiki-accent-color);
}
.navbox-title,
.navbox-abovebelow {
	padding-left: 1em;
	padding-right: 1em;
	text-align: center;
}
.navbox-abovebelow,
.navbox-group,
.navbox-subgroup .navbox-title {
	background: rgba(var(--wiki-accent-color--rgb), 0.18);
	color: var(--wiki-content-text-color);
	border: 1px solid var(--wiki-content-border-color);
}
.navbox .navbox-title a,
.navbox .navbox-title a:visited,
.navbox .navbox-title a.external,
.navbox .navbox-title a.external:visited {
	color: var(--wiki-accent-link-color);
}
.navbox-title .mw-collapsible-toggle {
	font-weight: normal;
	text-align: right;
}
.navbox-title-text {
	font-size: 105%;
}
/* Navbox-related links */
.navbox-title .navbar {
	float: left;
	margin-right: 0.5em;
}
.navbox-title .navbar a.external::after {
    content: unset;
}
/* Groups */
.navbox-group {
	font-weight: bold;
	padding: 0 0.5em;
	white-space: nowrap;
	text-align: center;
}
/* Zebra colouring for rows */
.navbox-even {
	background: #fff1;
}
/* Subgroups: equal group labels between different child navboxes */
.navbox-subgroup > tbody > tr {
	display: flex;
}
.navbox-subgroup .navbox-title {
    width: 100%;
}
.navbox-subgroup .navbox-group {
	display: flex;
	align-items: center;
	justify-content: center;
	flex-basis: 11em;
	flex-grow: 1;
	flex-shrink: 0;
	white-space: normal;
}
/* Lists */
.navbox-list {
	width: 100%;
}
/* Mobile adjustments */
@media screen and (max-width: 1280px) {
	.mw-body .navbox-inner table {
        display: table;
	}
}
@media screen and (max-width: 720px) {
	.mw-body .navbox {
		display: none;
	}
}
/**********************
* End Template:Navbox *
***********************/


/*******************
* Main page layout *
********************/
#mp-box-welcome {grid-area: welcome;}
#mp-box-about {grid-area: about;}
#mp-box-links {grid-area: links;}
#mp-box-contribute {grid-area: contribute;}
#mp-box-featured {grid-area: featured;}
#mp-box-basics {grid-area: basics;}
#mp-box-gallery {grid-area: gallery;}
#mp-box-iconlists {grid-area: iconlists;}

/* Example Main Page 1 Grid Layout */
#mp-layout1-container {
	display:grid;
	grid-template-areas:
		"welcome"
		"about"
		"featured"
		"basics"
		"gallery"
		"links"
		"contribute";
	grid-template-columns:100%;
	gap:10px;
}

@media screen and (min-width:990px) {
	#mp-layout1-container {
		grid-template-areas:
			"welcome welcome"
			"about about"
			"featured basics"
			"gallery links"
			"contribute contribute";
		grid-template-columns:1fr 1fr;
	}
}

@media screen and (min-width:1350px) {
	#mp-layout1-container {
		grid-template-areas:
			"welcome welcome welcome"
			"about about basics"
			"featured featured basics"
			"gallery links links"
			"contribute contribute contribute";
		grid-template-columns: 2fr 1fr 2fr;
  }
}

/* Example Main Page 2 Grid Layout */
#mp-layout2-container {
	display:grid;
	grid-template-areas:
		"welcome"
		"links"
		"about"
		"gallery"
		"iconlists"
		"contribute";
	grid-template-columns:100%;
	gap:10px;
}

@media screen and (min-width:990px) {
	#mp-layout2-container {
		grid-template-areas:
			"welcome links"
			"gallery about"
			"iconlists about"
			"iconlists contribute";
		grid-template-columns: 3fr 2fr;
	}
}

@media screen and (min-width:1350px) {
	#mp-layout2-container {
		grid-template-areas:
			"welcome welcome links"
			"welcome welcome about"
			"gallery gallery about"
			"iconlists iconlists contribute";
		grid-template-columns: 3fr 2fr 2fr;
  }
}

/* Example Main Page 3 Grid Layout */
#mp-layout3-container {
	display:grid;
	grid-template-areas:
    "welcome"
    "about"
    "featured"
    "four"
    "priority"
		"projects"
    "wiki";
	grid-template-columns:100%;
	gap:10px;
}

@media screen and (min-width:990px) {
	#mp-layout3-container {
		grid-template-areas:
      "welcome welcome"
      "about about"
      "featured four"
			"priority projects"
      "wiki wiki";
		grid-template-columns:1fr 1fr;
	}
}

@media screen and (min-width:1350px) {
	#mp-layout3-container {
		grid-template-areas:
      "welcome welcome welcome"
      "about about four"
			"featured featured four"
			"priority projects projects"
			"wiki wiki wiki";
		grid-template-columns:2fr 1fr 2fr;
  }
}

.mp-box {
	display:flex;
	flex-flow:column nowrap;
	width: calc(100% - 2px);
	box-sizing: border-box;
	background:rgba(var(--wiki-content-background-color--secondary--rgb), 0.25);
	border:1px solid var(--wiki-content-border-color);
	padding:0px;
}

.mp-body {
	height: 100%;
	display: flex;
	padding:0.5em;
	flex-flow: column nowrap;
}

.mp-box.centered-content .mp-body {
	height: 100%;
	display: flex;
	flex-flow: column nowrap;
	justify-content: space-evenly;
}

.mp-box.has-floating-image {
	display:block;
}

.mp-box.has-floating-image .mp-body {
	height:unset;
	display:block;
}

.mp-box h2 {
	text-align:center;
	font-weight:bold;
	font-family:var(--wiki-heading-font-family);
    overflow: initial;
	border-bottom: 1px solid var(--wiki-content-border-color);
	font-size: 150%;
	margin: 0;
	padding: 5px 0;
	color:var(--wiki-heading-color);
}

.mp-box .welcome-message {
    font-size: 200%;
    margin: 0;
    padding: 5px 0;
	color: #fff;
	filter: drop-shadow(0px 2px 3px #000);
}

#mp-banner-container {
	position: relative;
}

#mp-box-welcome {
	text-align:center;
	position:relative;
	overflow:hidden;
}

#mp-welcome {
	display:flex;
	flex-flow:column nowrap;
	position: relative;
	height: 100%;
	font-family: var(--wiki-heading-font-family);
	z-index: 2;
	box-sizing: border-box;
}

#mp-welcome .welcome-subtitle {
	height: 100%;
	background:rgba(var(--wiki-content-dynamic-color--inverted--rgb), 0.85);
	padding:0.5em;
}

#mp-banner {
    position: absolute;
    width: 100%;
    height: 100%;
    filter: blur(5px);
    z-index: -1;
    background: url(/images/e/e0/MP_banner.jpg);
    background-size: cover;
    background-repeat: no-repeat;
    background-position: top center;
}

.view-dark #mp-banner {
	filter: blur(5px) brightness(50%);
}

.view-light #mp-banner {
	filter: blur(5px) contrast(50%);
}

/* [[Template:MP_link]] */
.mp-links {
  --gap:10px;
}

.mp-links > ul {
	display: flex;
	flex-flow: row wrap;
	justify-content: space-evenly;
	margin: 2px;
	gap:var(--gap);
}

.mp-links > ul > li {
	display:flex;
	flex-flow:column nowrap;
	align-items:stretch;
	text-align: center;
	box-sizing:border-box;
	flex: max(calc(50% - var(--gap)), 5em) 1 1;
	outline:1px solid var(--wiki-content-link-color);
	transition:0.1s ease-in;
}

.mp-links > ul > li:hover {
	background-color:rgba(var(--wiki-content-link-color--rgb), 0.2);
}

.mp-links.columns-1 > ul > li {flex: max(calc(100% - var(--gap)), 5em) 1 1;}
.mp-links.columns-2 > ul > li {flex: max(calc(50% - var(--gap)), 5em) 1 1;}
.mp-links.columns-3 > ul > li {flex: max(calc((100% / 3) - var(--gap)), 5em) 1 1;}
.mp-links.columns-4 > ul > li {flex: max(calc(25% - var(--gap)), 5em) 1 1;}
.mp-links.columns-5 > ul > li {flex: max(calc(20% - var(--gap)), 5em) 1 1;}
.mp-links.columns-6 > ul > li {flex: max(calc((100% / 6) - var(--gap)), 5em) 1 1;}
.mp-links.columns-7 > ul > li {flex: max(calc((100% / 7) - var(--gap)), 5em) 1 1;}

.mp-links > ul > li:hover a {
	text-decoration: underline;
}

.mp-links > ul > li > a {
	display: flex;
	align-items: center;
	justify-content: center;
	height:100%;
	flex:1 1 auto;
	box-sizing:border-box;
	padding:5px;
}

.mp-links > ul > li > a:first-child {
  height:100%;
}

.mp-links > ul > li > a:last-child:not(:first-child) {
  height:unset;
}

.mp-links.stretch,
.mp-links.stretch > ul {
	height:100%;
}

.mp-links.side-image li {
	flex-flow:row nowrap;
}

/* MP icon lists */
.mp-iconlists {
	display: flex;
    flex-flow: wrap;
    gap: 5px 20px;
}

.mp-iconlists > .mp-iconlist {
	flex: 1;
    min-width: fit-content;
}

.mp-iconlist > h3 {
	padding: 0;
	margin: 0;
}

.mp-iconlist > ul {
	list-style: none;
	margin: 0;
}

/* MP gallery */
.mp-box ul.gallery {
    display: flex;
    flex-flow: wrap;
    gap: 5px 10px;
    align-items: flex-end;
    justify-content: space-evenly;
    margin: 0;
}

.mp-box ul.gallery .gallerytext {
	margin-top: 1em;
	padding: 0;
    background-color: var(--wiki-content-background-color--secondary);
    border: 1px solid var(--wiki-content-link-color);
}

.mp-box .gallerybox:hover .gallerytext {
    background-color: rgba(var(--wiki-content-link-color--rgb), 0.2);
}

.mp-box ul.gallery .gallerytext > p {
	margin: 0;
}

.mp-box ul.gallery .gallerytext a {
	display: block;
    padding: .5em 0;
}

/***********************
* End main page layout *
************************/

/***********************
* Start DRUID infoboxes *
************************/

.druid-container {
    /* These variables are designed to inherit from your wiki's color variables.
       If your wiki uses a different naming scheme, change the inner names to match yours.
       If your wiki doesn't use color variables you should consider doing so,
       otherwise you can replace the inner variables or the fallback values with colors that match your wiki.
    */
    --druid-background-color: var(--wiki-content-background-color, #ffffff);
    --druid-background-color--rgb: var(--wiki-content-background-color--rgb, 255, 255, 255);
    
    --druid-secondary-background-color: var(--wiki-accent-color, #36c);
    --druid-secondary-background-color--rgb: var(--wiki-accent-color--rgb, 51, 102, 204);
    --druid-secondary-background-label-color: var(--wiki-accent-label-color, #fff);
    --druid-secondary-background-label-color--rgb: var(--wiki-accent-label-color--rgb, 255, 255, 255);
    
    --druid-tertiary-background-color: var(--wiki-content-background-color--secondary, #eaecf0);
    --druid-tertiary-background-color--rgb: var(--wiki-content-background-color--secondary--rgb, 234, 236, 240);
    
    --druid-border-color: var(--wiki-content-border-color, #a7d7f9);
    --druid-border-color--rgb: var(--wiki-content-border-color--rgb, 167, 215, 249);
    
    --druid-link-color: var(--wiki-content-link-color, #0645ad);
    --druid-link-color--rgb: var(--wiki-content-link-color--rgb, 6, 69, 173);
    --druid-link-label-color: var(--wiki-content-link-label-color, #fff);
    --druid-link-label-color--rgb: var(--wiki-content-link-label-color--rgb, 255, 255, 255);
}

.druid-container {
    border: 4px solid var(--druid-border-color);
    border-radius: 3px;
    background: var(--druid-background-color);
    float: right;
    clear: right;
    margin: 0 0 1em 1em;
	width:100%;
	max-width:22em;
    box-sizing: border-box;
    border-collapse: collapse;
}

@media screen and (max-width: 720px) {
  .druid-container {
    float: none;
    margin: 0.5rem auto;
  }
}

.druid-main-images-file,
.druid-main-image {
    text-align:center;
}

.druid-infobox .druid-title,
.druid-infobox .druid-section {
    background:rgba(var(--druid-secondary-background-color--rgb), 0.75);
    color:var(--druid-secondary-background-label-color);
    text-align:center;
    font-size:1.5em;
    padding:1px;
}

.druid-infobox .druid-section {
    font-size: 1.25em;
    font-weight: 500;
}

.druid-label {
    font-weight:bold;
    text-align: right;
	box-sizing: border-box;
}

.druid-row > .druid-label {
    width: 48%;
    flex-shrink: 0;
}

.druid-row > .druid-label,
.druid-row > .druid-data {
	padding-inline: 0.3em;
}

.druid-main-image,
.druid-main-images {
    padding:5px;
}

.druid-main-image img, 
.druid-main-images img {
    max-width:100%;
    height:auto;
}

.druid-main-images-labels {
    display:flex;
    flex-direction:row;
    flex-wrap:wrap;
    justify-content: space-evenly;
    margin:0.25em;
    gap:0.25em;
}

.druid-main-images-label {
    cursor:pointer;
    flex:1 1 auto;
    text-align:center;
    transition:.1s ease-in;
    outline:1px solid var(--druid-link-color);
}

.druid-main-images-label.focused {
    background:var(--druid-link-color);
    color:var(--druid-link-label-color);
}

.druid-main-images-label:not(.focused):hover {
    background:rgba(var(--druid-link-color--rgb), 0.25);
}

.druid-toggleable-data:not(.focused),
.druid-main-images-file:not(.focused),
.druid-toggleable-heading:not(.focused) {
    display:none;
}

.druid-row:not(:has(.druid-grid)):has(.druid-toggleable-data-empty.focused) {
    display:none;
}

.druid-section:has(.druid-toggleable-heading-empty.focused) {
    display:none;
}

.druid-grid {
    display:grid;
    gap: 0.3em;
	padding: 0.35em;
}

.druid-grid-item {
    background:var(--druid-tertiary-background-color);
    padding:0.25em;
    border:1px solid rgba(var(--druid-border-color--rgb), 0.5);
    border-radius: 2px;
}

.druid-grid-item > .druid-label,
.druid-grid-item > .druid-data {
	text-align: center;
}

.druid-section-container > .druid-collapsible {
	display: flex;
	justify-content: space-between;
	align-items: center;
}

.druid-collapsed {
    display:none!important;
}

.druid-collapsible {
    cursor:pointer;
    position:relative;
}

.druid-collapsible::after {
    content:'\2013';
    display:block;
    position:absolute;
    right:10px;
    font-size:20px;
    font-weight:bold;
    color:var(--druid-secondary-background-label-color);
}

.druid-collapsible-collapsed::after {
    content:'+';
}

.druid-section-container:has(.druid-toggleable-data-empty.focused):not(:has(.druid-toggleable-data-nonempty.focused)):not(:has(.druid-data-nonempty)) {
  display: none;
}

/*****************************************
Div support
*****************************************/

div.druid-row {
    display:flex;
    margin-block: 1px;
}

div.druid-row + div.druid-row {
	margin-top: 0;
}

div.druid-row > .druid-label {
	background: var(--druid-tertiary-background-color);
}

.druid-infobox .druid-title {
  font-weight: 700;
}

.druid-infobox #toc {
    display:none;
}

/***********************
* End DRUID infoboxes  *
************************/

/*** Miscellaneous ***/
.responsive-image {
	max-width:100%;
	height:auto;
}

.view-dark .invert-on-dark,
.view-light .invert-on-light {
    filter:invert(100%);
}

@media screen and (min-width:720px) {
	.mobileonly {
		display:none;
	}
}
@media screen and (max-width:720px) {
	.nomobile {
		display:none;
	}
}

/**************************
* Start Modular Templates *
**************************/

/********* [[Template:Ambox]] *********/
.ambox {
	border: 1px solid var(--wiki-content-border-color);
	border-left: 10px solid var(--ambox-color);
	border-radius: 2px;
	display: flex;
	align-items: center;
	gap: .6em;
	margin: 1em 0;
	padding: 3px .6em;
	background-color: var(--wiki-content-background-color--secondary);
	box-shadow: 2px 2px 5px 0px #0002;
}

@media (min-width: 720px) {
	.ambox {
		margin-inline: 10%;
	}
}

.ambox.tiny {
	padding: .04rem .5em;
	margin-inline: 0;
    width: fit-content;
}

.ambox + .ambox {
	margin-top: -.6em;
}

.ambox-content p {
	margin: .15em 0;
}

.ambox-title {
	font-weight: bold;
}

/********* [[Template:Hatnote]] *********/
.hatnote {
    padding: 1px 0 1px 1.6em;
    margin-bottom: 0.5em;
    font-style: italic;
    border-top: 1px solid var(--wiki-body-dynamic-color--secondary--inverted);
    border-bottom: 1px solid var(--wiki-body-dynamic-color--secondary--inverted);
}

.hatnote.icon {
	padding-left: 0;	
}

/********* [[Template:Spoiler]] *********/
.spoiler-content {
  background-color: rgb(127, 127, 127);
  transition: all 0.3s;
  cursor: pointer;
}

.spoiler-content > span {
  opacity: 0;
  transition: all 0.3s;
}

.spoiler-content > * {
  pointer-events:none;
}

.spoiler-content.show > * {
  pointer-events:unset;
}

.spoiler-content.show {
  background-color: rgba(127, 127, 127, 0);
}

.spoiler-content.show > span {
  opacity: 1;
}

/********* [[Template:Link icon]] *********/
.link-icon {
	display: inline-flex; 
	align-items: center;
    height: var(--link-icon-line-height);
    vertical-align: bottom;
}

.link-icon .regular {
    align-self: center;
}

.link-icon .regular a {
	display: flex;
}

.link-icon .regular img {
	height: var(--link-icon-size);
	max-width: var(--link-icon-size);
}

.link-icon .fallback {
	outline: 1px solid var(--wiki-content-text-color);
	border-radius: 50%;
	text-align: center;
	width: var(--link-icon-size);
	line-height: var(--link-icon-size);
}

.link-icon.notext .fallback {
	display: inline-block;
}

.link-icon.notext {
    display: inline;
}

/********* [[Template:Quote]] *********/
.quote {
    background: var(--wiki-content-background-color--secondary);
    border-radius: 5px;
    border: 2px solid var(--wiki-content-border-color);
    margin: .5em 0;
    padding: .5em;
}

.quote .block {
	display: block;
}

.quote .title {
	font-size: large;
    font-weight: bold;
}

.quote .content {
	font-style: italic;
}

.quote .author {
	font-weight: bold;
	text-align: end;
}

.quote .marks-wrapper {
	display: flex;
	gap: 5px;
}

.quote .marks-wrapper::before,
.quote .marks-wrapper::after {
	font-size: 100px;
    line-height: 0px;
}

.quote .marks-wrapper::before {
	content: "\201C";
	margin-top: 40px;
}

.quote .marks-wrapper::after {
	content: "\201D";
	align-self: end;
	margin-bottom: -10px;
}

/************************
* End Modular Templates *
*************************/